// ReplayMouseInSystemDll.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"

#include <vector>

using namespace std;

vector<POINT> lespoints;

extern "C"__declspec(dllexport) LRESULT CALLBACK MaLowLevelMouseProc(int nCode, WPARAM wParam, LPARAM lParam)
{
	if(nCode < 0)
	{
		return CallNextHookEx(NULL, nCode, wParam, lParam);	
	}
	else 
	{
		if(wParam == WM_MOUSEMOVE)
		{
			MOUSEHOOKSTRUCT *mhs;
			mhs = (MOUSEHOOKSTRUCT *)lParam;
			lespoints.push_back(mhs->pt);
			return CallNextHookEx(NULL, nCode, wParam, lParam);
		}
		else
		{
			return CallNextHookEx(NULL, nCode, wParam, lParam);
		}
	}
}

extern "C"__declspec(dllexport) vector<POINT> GetHookedPoints()
{
	vector<POINT> temp;

	temp = lespoints;
	lespoints.clear();
	return temp;
}